MI/RR IPM - Bug #18773

Single turn plot not showing current data until you toggle single turn -> charge plot -> single turn
01/22/2018 10:22 AM - Denton Morris

Status: Resolved Start date: 01/22/2018
Priority: Normal Due date:

Assignee: David Slimmer % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.40 hour
Description

Taking new data with the plot option of Single Turn shows old data until you toggle from Single Turn to Charge Plot and back to
Single Turn.

History

#1 - 01/22/2018 11:16 AM - Elliott McCrory

Please try to reproduce the problem on the modified code on the Z page.

#2 - 01/22/2018 11:31 AM - Denton Morris

Same behavior on the Z page.

#3 - 01/22/2018 02:01 PM - Elliott McCrory

- Assignee changed from Elliott McCrory to David Slimmer

Dave - | am not able to see how my console code could make this mistake. Can you have a look, please, at the front end? Is it possible that you are
not sending the right data?

The sequence of data requests Denton specifies here will reproduce this bug on the ACNET console program. Another way to reset the data is to ask
for a slightly different turn number (e.g., ask for 51, and then ask for 50 - it will report the correct turn #50 this time).

Thanks - Elliott.

#4 - 01/23/2018 02:28 PM - David Slimmer

- Status changed from New to Work in progress

Elliott - I will need you to demonstrate the problem. | can't seem to get it display a single turn profile that does not track the one displayed on the front
end.

There seems to be a hard limit on the number of files (314) displayed by "Select & Plot File".

There are currently 364 saved data files (names) on R4HIPM, and they should fit in the device R:4HLOGS. Can you modify the console code to read
either to the maximum number of characters for R:4HLOGS (32760) OR until you read no more file names?

#5 - 01/25/2018 06:11 AM - David Slimmer
- Status changed from Work in progress to Resolved

- % Done changed from 0 to 100

Modified front end code so the Fit Turn is taken from R:4HPMTF instead of the spec when data is acquired from an Acnet console. Also requires
modified handling of R:4HMTF in 133.

#6 - 01/26/2018 03:32 PM - Denton Morris

David Slimmer wrote:

Modified front end code so the Fit Turn is taken from R:4HPMTF instead of the spec when data is acquired from an Acnet console. Also requires
modified handling of R:4HMTF in 133.

Has this been propagated to the other IPMs? | still see this behavior on Recycler V103 IPM but haven't looked at Ml IPMs yet.
